## Apache Zeta Components Manual :: Docs For Class ezcWorkflowVisitorVisualization

### Workflow::ezcWorkflowVisitorVisualization

### Class ezcWorkflowVisitorVisualization

An implementation of the ezcWorkflowVisitor interface that generates GraphViz/dot markup for a workflow definition.

1. <?php
2. $visitor=new ezcWorkflowVisitorVisualization ;
3. $workflow->accept($visitor);
4. print$visitor;
5. ?>

Source for this file: /Workflow/src/visitors/visualization.php

    ezcWorkflowVisitor
       |
       --ezcWorkflowVisitorVisualization

Version: | //autogen//

### Member Variables

protected array( | `$edges = array()` Holds all the edges of the graph.
protected array(string | `$nodes = array()` Holds the displayed strings for each of the nodes.
protected array(string=>mixed) | `$properties = array()` Properties.
protected string | `$workflowName = 'Workflow'` Holds the name of the workflow.

### Inherited Member Variables

From ezcWorkflowVisitor
protected | `ezcWorkflowVisitor::$visited`

### Method Summary

public ezcWorkflowVisitorVisualization | `__construct( )` Constructor.
protected void | `doVisit( $visitable )` Perform the visit.

### Inherited Methods

From ezcWorkflowVisitor
public ezcWorkflowVisitor | `ezcWorkflowVisitor::__construct()` Constructor.
public integer | `ezcWorkflowVisitor::count()` Returns the number of visited nodes.
protected void | `ezcWorkflowVisitor::doVisit()` Perform the visit.
public bool | `ezcWorkflowVisitor::visit()` Visit the $visitable.

### Methods

#### __construct

ezcWorkflowVisitorVisualization __construct( )

Constructor.

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowVisitor::__construct()` | Constructor.

#### doVisit

void doVisit( ezcWorkflowVisitable $visitable )

Perform the visit.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitable` | ezcWorkflowVisitable |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowVisitor::doVisit()` | Perform the visit.

Documentation generated by phpDocumentor 1.4.3